# -*- coding: utf-8 -*-
# Copyright (c) 2021, InfluxFramework LLC and contributors
# For license information, please see license.txt

import influxframework
from influxframework.model.document import Document


class WebsiteOffer(Document):
	pass


@influxframework.whitelist(allow_guest=True)
def get_offer_details(offer_id):
	return influxframework.db.get_value("Website Offer", {"name": offer_id}, ["offer_details"])
